Technorati Rank WordPress Plugin weergawe 2 vrygestel!

Op die hakke van die eerste Technorati Rank-inprop, het ek die uitvoerinhoud herontwerp om dit te maak CSS aangedrewe (hieronder is 'n kiekie, u kan interaksie hê met die een in die sidebar van my webwerf):

Technorati Rank WordPress-inprop weergawe 2

Hierdie een was 'n bietjie uitdagender om te produseer, maar die produksie is baie lekkerder. Eerstens het ek gebruik wat ek geleer het bitbox om elk van die uitvoerknoppies op die prent in Illustrator te maak.

Die volgende stap was om style te gebruik om iemand te bou beeldkaart behalwe dat daar eintlik is geen kaart nie! Dit is eintlik redelik cool. U kan die algemene agtergrond van die divisie instel en dan elkeen van die 'hotspots' skep met behulp van absolute posisionering en CSS. Kyk na die uitvoer CSS.

Ek het ook 'n skakel bygevoeg na die nuwe van Technorati WTF bladsy en die webwerf se RSS-adres. Ek hoop jy hou daarvan! Ek dink dit is 'n groot verbetering van die eerste weergawe! Daar is 'n i skakel regs onder wat die inprop ook bevorder.

Huidige Technorati Rank WordPress-inprop weergawe 2.0.4

23 Comments

  1. 1
  2. 3

    Ek het probeer om die nuutste en beste te installeer volgens jou aanwysings na die "letter" 🙂

    maar ek het die volgende fout gekry

    Noodlottige fout: Kan nie nie-bestaande klas: simplexmlelement instansieer in /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php op reël 64

    Enige voorstelle?

    • 4
      • 5
        • 6

          Ek hoop hulle doen! Maar ek hoop ook dat u gasheer opgradeer. PHP5 bring regtig 'n paar baie beter prestasieverbeterings, sowel as 'n paar beter gereedskap om API's te verbruik. Ek gebruik Jumpline, jy sal 'n skakel in my borglys op my tuisblad sien. Ek glo ook dat Dotster goeie VDS-gasheer het met die nuutste en beste.

      • 7

        Doug,
        Ek het dieselfde probleem
        Ek het my gasheer gebel en hulle het gesê my bediener het PHP 4 en PHP 5, maar as ek 'n lêer met PHP 5 wil laat loop, moet die script .php5-lêeruitbreiding hê.

        So ... ek het die lêeruitbreidings verander, en dit verdwyn van die plugins in wordpress.

        Enige idees?

  3. 10

    Awesome plugin, uitstekende stilering! Dankie Doug, en puik werk. Ek het nooit eers geweet van die eerste een nie, maar dit gaan pronto in my sidebar.

    Dit is REGTIG lonend om te sien dat my Illustrator-wenke jou gehelp het om jou knoppies te maak!!!!!

    weereens dankie,

    ~BittBox

    • 11

      Dankie, BittBox! Ek dink ek het 'n goeie oog vir styl, maar dit lyk asof ek dit die meeste van die tyd nooit regkry nie. Dit is wat die verskil maak om u monsters werklik af te laai en te dissekteer. Ek is nou in staat om werklik op daardie idees uit te voer. 🙂

      Ek speel met 'n paar gedagtes oor my blog se opskrif en agtergrond volgende.

  4. 12

    Wel, Doug, dit blyk dat die weergawe 2-inprop my haat. Ek kry foutboodskappe:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Ten spyte van die foutboodskappe, wys dit ook my Technorati-rang (~26.5k :D). Ek is nie kundig genoeg oor PHP om te weet hoekom dit oor daardie een lêer huil nie.
    Interessant genoeg, op ons bediener gebruik ons ​​SuPHP, so alles loop soos ons (so chmod vereistes vereis nie meer wêreldskryfbare lêers nie, en php scripts sal nie uitgevoer word as chmod'ed te hoog is, byvoorbeeld nie).

    Alle php vir hierdie subdomein loop as php5.

    Enige idees?

    • 13

      Het u 'n wp-inhoud/kasgids Xial? Ek het gedink dit sal 'n goeie idee wees om dieselfde kasgids as WP-Cache te gebruik. Agterna, miskien was dit nie 'n goeie idee nie! Daardie reël is beslis om na die kaslêer te skryf.

      • 14

        Ek doen dit beslis, Doug. Ek het WP-Cache vir 'n geruime tyd. 🙂

        Ek was ook 'n bietjie nuuskierig oor hoekom dit hieroor sou kla, aangesien ek wel die nodige gids het, maar ek vermoed dit is heeltemal iets anders.

      • 15

        Interessante bietjie inligting om by te voeg:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Dit gee steeds die foute terug.

    • 16

      Wil net lui dat dieselfde fout is. Die webwerf loop php5, en die knoppie vertoon.
      Ek het probeer om kommentaar te lewer op reëls 121-123, en die prop werk goed. Kan ek dit regstreeks plaas, of sal die gebrek aan daardie lyne op die langer termyn probleme veroorsaak?

  5. 17

    Ek kry dieselfde foute as hierbo, ek het ook gedink dit is my cache dir maar ek het een en het ook seker gemaak skryf regte is korrek.
    In die sybalk sal dit die inprop wys (met rang) maar met daardie foute daarbo.

    • 18

      Hallo Richard,

      Kan jy kyk om te sien dat jy PHP weergawe 5+ het en CURL geaktiveer is? Jy kan dit doen deur 'n bladsy op jou webwerf te bou met <?php phpinfo(); ?> in 'n bladsy. Maak dan daardie bladsy oop. Die bokant van die bladsy sal jou weergawe van PHP hê en jy kan 'n soektog vir CURL doen om te verseker dat dit geaktiveer is.

      Dankie!
      Doug

      • 19

        Wel, Doug, ek het my PHP-weergawe dubbel gekontroleer.
        Ek gebruik PHP5, en cURL is saamgestel in (een van my gewone drie versoeke aan my gasheer, vir dinge om in PHP saamgestel te word).

        Alles anders werk goed, maar ek is nie heeltemal seker hoekom hierdie inprop verstik nie, tensy dit die weergawe van cURL is wat in PHP saamgestel is (Ons is op 7.15.4, en die nuutste blyk 7.16.1 te wees). Ek wil egter nie my gasheer teister om net daarvoor weer php5 saam te stel as ek dit kan help nie. <:3

        • 20

          Ek gaan die naweek dieper kyk. Dit werk sonder enige probleme op 'n paar webwerwe – so dit is een van 3 dinge: 1. Cache, 2. cURL of 3. PHP-weergawe.

          Ek kan ouer PHP 4-funksionaliteit gebruik om die XML te trek en te ontleed, maar dit kan dit nogal stadiger maak – ek gaan hierdie naweek toets. Ek waardeer al die insette. "Houston, ons het n probleem!".

  6. 21
  7. 22
  8. 23

    Ek het 'n hele paar versoeke ontvang dat daar foute was met die skryf of lees van die kaslêer. Ek het eintlik 'n probleem geïdentifiseer waar ek die kaslêer na die wortelgids druk en trek. Ek het weergawe 2.0.4 gewysig sodat dit na 'n kas-subgids binne die inprop se gids skryf.

    Laat weet my asseblief hoe dit werk! (Benodig steeds SimpleXML en cURL!)

Wat dink jy?

Hierdie webwerf gebruik Akismet om spam te verminder. Leer hoe jou opmerking verwerk is.